#
# umpk02.rb
#
# $Id: umpk02.rb,v 1.1 2000/11/22 14:36:00 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


np = 14

#-- data ---
ntr = [10,   11,   12,   13,   14,   15,   20,
       21,   22,   23,   30,   31,   32,   33]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn(-(iws.abs))

DCL::slrat(2.0, 3.0)
DCL::sldiv('Y', 2, 3)

DCL::umiset('INDEXMJ', 1)
DCL::umiset('ITYPEMN', 1)

for i in 0..np-1
  DCL::grfrm
#       CALL GRSMPL( 0.0, 90.0, 0.0 )
  DCL::grsvpt(0.1, 0.9, 0.1, 0.9)
  DCL::grstrn(ntr[i])
  DCL::umpfit
  DCL::grstrf

  DCL::sglset('LCLIP', true)
  DCL::slpwwr(1)
  DCL::slpvpr(1)
  cttl = DCL::sgtrnl(ntr[i])
  DCL::sgtxzr(0.5, 0.95, cttl, 0.03, 0, 0, 3)

  DCL::umpmap('coast_world')
  DCL::umpglb

  if ( ntr[i] == 23 )
    DCL::grfrm
    DCL::grfrm
  end
end

DCL::grcls

